
# react-native-jw-player

## Getting started

`$ npm install react-native-jw-player --save`

### Mostly automatic installation

`$ react-native link react-native-jw-player`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-jw-player` and add `RNJwPlayer.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNJwPlayer.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNJwPlayerPackage;` to the imports at the top of the file
  - Add `new RNJwPlayerPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-jw-player'
  	project(':react-native-jw-player').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-jw-player/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-jw-player')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNJwPlayer.sln` in `node_modules/react-native-jw-player/windows/RNJwPlayer.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Jw.Player.RNJwPlayer;` to the usings at the top of the file
  - Add `new RNJwPlayerPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNJwPlayer from 'react-native-jw-player';

// TODO: What to do with the module?
RNJwPlayer;
```
  